scala.collection.parallel.ParIterableView

# NoCombiner

#### abstract class NoCombiner[T] extends Combiner[T, Nothing]

Source
  ParIterableView.scala

Linear Supertypes
Combiner[T, Nothing], Parallel, Sizing, Builder[T, Nothing], Growable[T], Clearable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoCombiner
2. Combiner
3. Parallel
4. Sizing
5. Builder
6. Growable
7. Clearable
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NoCombiner()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++=(xs: TraversableOnce[T]): NoCombiner.this.type

   adds all elements produced by a TraversableOnce to this growable collection.

   adds all elements produced by a TraversableOnce to this growable collection.

   xs

     the TraversableOnce producing the elements to add.

   returns

     the growable collection itself.

   Definition Classes
     Growable

6. #### def +=(elem: T): NoCombiner.this.type

   Adds a single element to the builder.

   Adds a single element to the builder.

   elem

     the element to be added.

   returns

     the builder itself.

   Definition Classes
     NoCombiner → Builder → Growable

7. #### def +=(elem1: T, elem2: T, elems: T*): NoCombiner.this.type

   adds two or more elements to this growable collection.

   adds two or more elements to this growable collection.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the growable collection itself

   Definition Classes
     Growable

8. #### def ->[B](y: B): (NoCombiner[T], B)

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to ArrowAssoc[NoCombiner[T]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

9. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

11. #### var _combinerTaskSupport: TaskSupport

    Definition Classes
      Combiner

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

13. #### def canBeShared: Boolean

    Returns `true` if this combiner has a thread-safe `+=` and is meant to be shared across several threads constructing the collection.

    Returns `true` if this combiner has a thread-safe `+=` and is meant to be shared across several threads constructing the collection.

    By default, this method returns `false`.

    Definition Classes
      Combiner

14. #### def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method the builder will contain no elements.

    Definition Classes
      NoCombiner → Builder → Growable → Clearable

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

16. #### def combine[N <: T, NewTo](other: Combiner[N, NewTo]): Nothing

    Combines the contents of the receiver builder and the `other` builder, producing a new builder containing both their elements.

    Combines the contents of the receiver builder and the `other` builder, producing a new builder containing both their elements.

    This method may combine the two builders by copying them into a larger collection, by producing a lazy view that gets evaluated once `result` is invoked, or use a merge operation specific to the data structure in question.

    Note that both the receiver builder and `other` builder become invalidated after the invocation of this method, and should be cleared (see `clear`) if they are to be used again.

    Also, combining two combiners `c1` and `c2` for which `c1 eq c2` is `true`, that is, they are the same objects in memory:

        c1.combine(c2)

    always does nothing and returns `c1`.

    N

      the type of elements contained by the `other` builder

    NewTo

      the type of collection produced by the `other` builder

    other

      the other builder

    returns

      the parallel builder containing both the elements of this and the `other` builder

    Definition Classes
      NoCombiner → Combiner

17. #### def combinerTaskSupport: TaskSupport

    Definition Classes
      Combiner

18. #### def combinerTaskSupport_=(cts: TaskSupport): Unit

    Definition Classes
      Combiner

19. #### def ensuring(cond: (NoCombiner[T]) ⇒ Boolean, msg: ⇒ Any): NoCombiner[T]

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to Ensuring[NoCombiner[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: (NoCombiner[T]) ⇒ Boolean): NoCombiner[T]

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to Ensuring[NoCombiner[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean, msg: ⇒ Any): NoCombiner[T]

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to Ensuring[NoCombiner[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean): NoCombiner[T]

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to Ensuring[NoCombiner[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

24. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

25. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

26. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

30. #### def iterator: Iterator[T]

31. #### def mapResult[NewTo](f: (Nothing) ⇒ NewTo): Builder[T, NewTo]

    Creates a new builder by applying a transformation function to the results of this builder.

    Creates a new builder by applying a transformation function to the results of this builder.

    NewTo

      the type of collection returned by `f`.

    f

      the transformation function.

    returns

      a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

    Definition Classes
      Builder

32. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

34. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

35. #### def result(): Nothing

    Produces a collection from the added elements.

    Produces a collection from the added elements. The builder's contents are undefined after this operation.

    returns

      a collection containing the elements added to this builder.

    Definition Classes
      NoCombiner → Builder

36. #### def resultWithTaskSupport: Nothing

    Constructs the result and sets the appropriate tasksupport object to the resulting collection if this is applicable.

    Constructs the result and sets the appropriate tasksupport object to the resulting collection if this is applicable.

    Definition Classes
      Combiner

37. #### def size: Nothing

    Definition Classes
      NoCombiner → Sizing

38. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    coll

      the collection which serves as a hint for the result's size.

    delta

      a correction to add to the `coll.size` to produce the size hint.

    Definition Classes
      Builder

39. #### def sizeHint(coll: TraversableLike[_, _]): Unit

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    coll

      the collection which serves as a hint for the result's size.

    Definition Classes
      Builder

40. #### def sizeHint(size: Int): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called.

    Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    Definition Classes
      Builder

41. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    boundingColl

      the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

    Definition Classes
      Builder

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def →[B](y: B): (NoCombiner[T], B)

    Implicit information
      This member is added by an implicit conversion from NoCombiner[T] to ArrowAssoc[NoCombiner[T]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (noCombiner: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (noCombiner: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: NoCombiner[T]

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to ArrowAssoc[NoCombiner[T]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (noCombiner: ArrowAssoc[NoCombiner[T]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: NoCombiner[T]

   Implicit information
     This member is added by an implicit conversion from NoCombiner[T] to Ensuring[NoCombiner[T]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (noCombiner: Ensuring[NoCombiner[T]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Combiner[T, Nothing]

### Inherited from Parallel

### Inherited from Sizing

### Inherited from Builder[T, Nothing]

### Inherited from Growable[T]

### Inherited from Clearable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from NoCombiner[T] to StringAdd

### Inherited by implicit conversion any2stringfmt from NoCombiner[T] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from NoCombiner[T] to ArrowAssoc[NoCombiner[T]]

### Inherited by implicit conversion any2Ensuring from NoCombiner[T] to Ensuring[NoCombiner[T]]

### Ungrouped